<?php
include_once ('../core/base.php');
$header = 'Запуск события';
include_once ('../core/head.php');

falseauth();
panel();

if($u['admin'] == 3){

$event = $base -> query('SELECT * FROM `event` WHERE `id` = "1"') -> fetch_assoc();

if(isset($_REQUEST['success'])){
	$name  = fl($_POST['name']);
	$image  = fl($_POST['image']);
	$text  = fl($_POST['text']);
	$first_gold  = fl($_POST['1st_gold']);
	$second_gold  = fl($_POST['2nd_gold']);
	$third_gold  = fl($_POST['3rd_gold']);
	$event_started = $base -> query("SELECT COUNT * FROM `event` WHERE `step` = '1'") -> num_rows;  # Проверка запущенного события

	if($event_started > 0) error('Событие уже запущено.');
	elseif(empty($name)) error('Введите название события.');
	elseif(empty($image)) error('Введите картинку события.');
	elseif(empty($text)) error('Введите текст события.');
	elseif(empty($first_gold)) error('Введите награду за первое место.');
	elseif(empty($second_gold)) error('Введите награду за второе место.');
	elseif(empty($third_gold)) error('Введите награду за третье место.');
	else{
		$end_time = time() + (60 * 60 * 24 * 3);
		//$end_time = time() + 60;
		$base -> query("INSERT INTO `event` SET
			`id` = '1',
			`step` = '1',
			`name` = '".$name."',
			`image` = '".$image."',
			`text` = '".$text."',
			`1st_gold` = '".$first_gold."',
			`2nd_gold` = '".$second_gold."',
			`3rd_gold` = '".$third_gold."',
			`end_time` = '".$end_time."'");
		$base -> query('UPDATE `users` SET `token` = "0" WHERE `token` > 0');
		header('location: /panel/event/');
		exit;
	}
}

echo '<div class="b">';

echo '<div class="title">Запуск события</div>';

if($event['step'] == 1) $event_name = '<a href="/event/">'.$event['name'].'</a> (активно)';
elseif($event['step'] == 2) $event_name = '<a href="/event/">'.$event['name'].'</a> (завершено)';
else $event_name = 'пусто';

echo '<div class="event"><center>
<font color="#B1B1B1">Текущее событие:</font> '.$event_name.'
</center></div>';
echo '<center>';
echo '<form action="" method="POST">';
echo 'Название события:<br/>';
echo '<input type="text" name="name" /> <br/>';
echo 'Картинка события: <br/>';
echo '<input type="text" name="image" /> <br/>';
echo 'Текст события: <br/>';
echo '<input type="text" name="text" /> <br/>';
echo 'Награда за первое место (золота): <br/>';
echo '<input type="text" name="1st_gold" /> <br/>';
echo 'Награда за второе место (золота): <br/>';
echo '<input type="text" name="2nd_gold" /> <br/>';
echo 'Награда за третье место (золота): <br/>';
echo '<input type="text" name="3rd_gold" /> <br/>';
echo '<input type="submit" name="success" value="Запустить">';
echo '</form>';
echo '</center>';

echo '<a class="btn" href="/panel/"><img src="/images/icons/back.png"> Назад</a>';

echo '</div>';

}else{
	header('Location: /panel/');
	exit;
}

include_once ('../core/foot.php');
?>